Packages - Bug #2351
Housekeeping # 2546 (open): [STICKY][poppler]: and friends (x86_64)

[libre/cups-filters]: rebuild against new poppler (x86_64)

2019-07-08 09:45 PM - dllud

Status: fixed % Done: 80%
Priority: bug

Assignee: bill-auger

Category:

Description

Can't update the system with pacman -Syu:

installing poppler (0.78.0-1) breaks dependency 'poppler=0.76.1"

required by cups-filters

History

#1 - 2019-07-09 11:27 AM - freemor
- % Done changed from 0 to 20

- Assignee set to freemor

Starting Re-builds for X86_64 and ARM. Poppler on i686 is still old version

#2 - 2019-07-09 11:57 AM - bill-auger

arch32 has poppler v0.78.0-1.0 in [staging] - if you wanted to,

you could get a jump on that by packaging it under your
abslibre/~freemor/ namespace - when arch32 moves it to [extra] it
would be a simple "db-move” operation

#3 - 2019-07-11 12:28 AM - freemor
- % Done changed from 20 to 80

If | get a chance I'll play with that tomorrow.

#4 - 2020-05-05 01:05 PM - bill-auger
- Assignee deleted (freemor)

- Status changed from unconfirmed to open

- Subject changed from [libre/cups-filters] needs rebuild against poppler 0.78.0-1 to [cups-filters]: rebuild against new poppler (x86_64)

- Tracker changed from Bug to Housekeeping

#5 - 2020-05-05 01:06 PM - bill-auger

- Related to Housekeeping #2546: [STICKY][poppler]: and friends (x86_64) added

#6 - 2020-05-05 01:45 PM - bill-auger
- Parent task set to #2546

#7 - 2020-05-05 01:51 PM - bill-auger

- Subject changed from [cups-filters]: rebuild against new poppler (x86_64) to [STICKY][cups-filters]: rebuild against new poppler (x86_64)

#8 - 2020-05-05 02:10 PM - bill-auger

- Subject changed from [STICKY][cups-filters]: rebuild against new poppler (x86_64) to [cups-filters]: rebuild against new poppler (x86_64)

#9 - 2020-05-13 12:00 PM - bill-auger

- Assignee set to bill-auger
#10 - 2020-05-13 12:00 PM - bill-auger

- Status changed from open to fixed

#11 - 2020-05-14 10:04 PM - bill-auger

- Subject changed from [cups-filters]: rebuild against new poppler (x86_64) to [libre/cups-filters]: rebuild against new poppler (x86_64)

#12 - 2020-07-16 02:32 PM - bill-auger

- Status changed from fixed to open

#13 - 2020-07-20 07:20 AM - bill-auger

- Status changed from open to fixed

#14 - 2020-10-11 09:59 AM - bill-auger

- Status changed from fixed to open

#15 - 2020-10-11 10:48 AM - bill-auger

- Status changed from open to in progress

#16 - 2020-10-11 10:49 AM - bill-auger

- Status changed from in progress to open

#17 - 2020-10-11 10:52 AM - bill-auger

- Status changed from open to in progress

#18 - 2020-10-11 11:26 PM - bill-auger

- Status changed from in progress to fixed

#19 - 2021-01-06 04:37 PM - bill-auger

- Status changed from fixed to in progress

#20 - 2021-01-06 11:47 PM - bill-auger

- Status changed from in progress to fixed

#21 - 2021-02-09 06:05 PM - bill-auger

- Status changed from fixed to in progress

#22 - 2021-03-05 05:37 AM - bill-auger

- Status changed from in progress to fixed

#23 - 2021-04-08 02:30 PM - bill-auger

- Status changed from fixed to in progress

#24 - 2021-04-08 03:04 PM - bill-auger

- Status changed from in progress to fixed

#25 - 2021-06-04 06:56 PM - bill-auger

- Status changed from fixed to open

#26 - 2021-06-04 10:26 PM - bill-auger

- Status changed from open to in progress

#27 - 2021-06-04 10:49 PM - bill-auger

- Status changed from in progress to fixed

#28 - 2021-06-07 07:05 PM - dliud

Although bill updated this 3 days ago, | am still getting an error:
unable to satisfy dependency 'poppler=21.06.0-1' required by cups-filters

#29 - 2021-06-07 07:25 PM - mzo

This bug is not fixed. Please, see takuwan's message on Housekeeping #2546:
cups-filters and texlive-bin need to be rebuilt again. They depend on poppler 21.06.0, but the latest version in the repos is 21.06.1

#30 - 2021-06-13 08:05 PM - bill-auger

i believe that it was fixed for one day - then poppler was
replaced again

#31 - 2021-07-06 03:30 PM - dllud
A new rebuild is needed:

installing poppler (21.07.0-1) breaks dependency 'poppler=21.06.1-1' required by cups-filters

Thanks!

#32 - 2021-07-07 01:15 AM - bill-auger
fixed

#33 - 2021-07-26 01:15 PM - dllud
It's that time again:

installing poppler (21.07.0-2) breaks dependency 'poppler=21.07.0-1' required by cups-filters

Keep up the great work!

#34 - 2021-07-28 07:01 PM - bill-auger

fixed

#35 - 2022-01-14 04:18 AM - bill-auger

- Status changed from fixed to in progress

#36 - 2022-01-14 08:52 AM - bill-auger

the recent parabola 'cups-filters' packages have depended on poppler via sodeps; which seems to be working well - it may no longer be necessary to
rebuild cups-filters so often (this ticket may be detached from the 'STICKY' poppler epics) if no one reports a problems using cups-filters since the
recent poppler upgrade

$ pacman -Si cups—-filters | grep -E —--only-matching libpoppler.*
libpoppler.so libpoppler—-cpp.so=0-64

$ pkg-list-linked-libraries cups-filters | grep poppler
NEEDED libpoppler-cpp.so.0

$ pkgfile -1 poppler | grep libpoppler.cpp.so

extra/poppler /usr/lib/libpoppler-cpp.so
extra/poppler /usr/lib/libpoppler—-cpp.so.0
extra/poppler /usr/lib/libpoppler-cpp.so.0.9.0

#37 - 2022-01-17 08:38 AM - bill-auger

- Status changed from in progress to fixed

#38 - 2022-04-25 08:35 AM - bill-auger

- Status changed from fixed to open

#39 - 2022-05-09 03:46 PM - bill-auger

- Status changed from open to not-a-bug

#40 - 2023-09-01 03:44 AM - bill-auger
- Status changed from not-a-bug to fixed

- Tracker changed from Housekeeping to Bug
